Subject: Re: [PATCH 3/5] trailer: add tests to check defaulting behavior with --no-* flags

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Aug 2023 08:53:54 -0700

Linus Arver <[email-masked]> writes:

>>> If I am reading the code correctly, --where=value overrides the
>>> trailer.where variable and nothing else, and --no-where stops the
>>> overriding of the trailer.where variable.  Ditto for the other two
>>> with their relevant configuration variables.
>>
>> That is also my understanding. Will update to remove the "all" wording.
>
> Hmph, actually it also overrides any applicable "trailer.<token>.where"
> configurations (these <token>-specific configurations override the
> "trailer.where" configuration where applicable). Still, the "all
> configuration variables" wording should be updated, probably like this:
>
>     ›  Specify where all new trailers will be added.  A setting
>     ›  provided with '--where' overrides the `trailer.where` and any
>     ›  applicable `trailer.<token>.where` configuration variables
>     ›  and applies to all '--trailer' options until the next occurrence of
>     ›  '--where' or '--no-where'.

Yup, that was what I meant.  I found it troubling that the "all"
phrasing felt like it meant all trailer.* configurations, not just
the "where" thing.  Your new description looks good.

Thanks.